AbstractBrowserLauncher (Selenium RC Server (Coreless) 1.0.1 API)
Date: 2009-06-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openqa.selenium.server.browserlaunchers
Class AbstractBrowserLauncher

    java.lang.Object
      org.openqa.selenium.server.browserlaunchers.AbstractBrowserLauncher

All Implemented Interfaces:
  BrowserLauncher

Direct Known Subclasses:
  DestroyableRuntimeExecutingBrowserLauncher, FirefoxChromeLauncher, FirefoxCustomProfileLauncher, GoogleChromeLauncher, InternetExplorerCustomProxyLauncher, KonquerorLauncher, OperaCustomProfileLauncher, SafariCustomProfileLauncher

    public abstract class AbstractBrowserLauncher

extends java.lang.Object
implements BrowserLauncher

Runs the specified command path to start the browser, and kills the process to quit.

Version:
  $Revision: 189 $
Author:
  Paul Hammant

Field Summary
`protected BrowserConfigurationOptions` | `browserConfigurationOptions`
`protected java.lang.String` | `sessionId`

Constructor Summary
`AbstractBrowserLauncher(java.lang.String sessionId, RemoteControlConfiguration configuration, BrowserConfigurationOptions browserOptions)`

Method Summary
`RemoteControlConfiguration` | `getConfiguration()`
`int` | `getPort()`
`protected abstract void` | `launch(java.lang.String url)`
`void` | `launchHTMLSuite(java.lang.String suiteUrl, java.lang.String browserURL)` Start the browser in Selenese mode, auto-running the specified HTML suite
`void` | `launchRemoteSession(java.lang.String browserURL)` Start the browser and navigate directly to the specified URL using the supplied browser configurations

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.openqa.selenium.server.browserlaunchers.BrowserLauncher
`close, getProcess`

Field Detail

### sessionId

    protected java.lang.String sessionId

### browserConfigurationOptions

    protected BrowserConfigurationOptions browserConfigurationOptions

Constructor Detail

### AbstractBrowserLauncher

    public AbstractBrowserLauncher(java.lang.String sessionId,
                                   RemoteControlConfiguration configuration,
                                   BrowserConfigurationOptions browserOptions)

Method Detail

### launchHTMLSuite

    public void launchHTMLSuite(java.lang.String suiteUrl,
                                java.lang.String browserURL)

  Description copied from interface: `BrowserLauncher`
  Start the browser in Selenese mode, auto-running the specified HTML suite

  Specified by:
    `launchHTMLSuite` in interface `BrowserLauncher`
  Parameters:
    `suiteUrl` - the url of the HTML suite to launch
    `browserURL` - the url within which to initiate the session (if needed)

### launchRemoteSession

    public void launchRemoteSession(java.lang.String browserURL)

  Description copied from interface: `BrowserLauncher`
  Start the browser and navigate directly to the specified URL using the supplied browser configurations

  Specified by:
    `launchRemoteSession` in interface `BrowserLauncher`

### launch

    protected abstract void launch(java.lang.String url)

### getConfiguration

    public RemoteControlConfiguration getConfiguration()

### getPort

    public int getPort()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.